package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * WanSettingConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class WanSettingConfigOpenApiVo   {
  @JsonProperty("wanPortsConfig")
  @Valid
  private List<WanPortSettingOpenApiVo> wanPortsConfig = null;

  @JsonProperty("UsbPortsConfig")
  @Valid
  private List<UsbLteSettingConfigOpenApiVo> usbPortsConfig = null;

  public WanSettingConfigOpenApiVo wanPortsConfig(List<WanPortSettingOpenApiVo> wanPortsConfig) {
    this.wanPortsConfig = wanPortsConfig;
    return this;
  }

  public WanSettingConfigOpenApiVo addWanPortsConfigItem(WanPortSettingOpenApiVo wanPortsConfigItem) {
    if (this.wanPortsConfig == null) {
      this.wanPortsConfig = new ArrayList<>();
    }
    this.wanPortsConfig.add(wanPortsConfigItem);
    return this;
  }

  /**
   * WAN ports config
   * @return wanPortsConfig
  */
  @ApiModelProperty(value = "WAN ports config")

  @Valid

  public List<WanPortSettingOpenApiVo> getWanPortsConfig() {
    return wanPortsConfig;
  }

  public void setWanPortsConfig(List<WanPortSettingOpenApiVo> wanPortsConfig) {
    this.wanPortsConfig = wanPortsConfig;
  }

  public WanSettingConfigOpenApiVo usbPortsConfig(List<UsbLteSettingConfigOpenApiVo> usbPortsConfig) {
    this.usbPortsConfig = usbPortsConfig;
    return this;
  }

  public WanSettingConfigOpenApiVo addUsbPortsConfigItem(UsbLteSettingConfigOpenApiVo usbPortsConfigItem) {
    if (this.usbPortsConfig == null) {
      this.usbPortsConfig = new ArrayList<>();
    }
    this.usbPortsConfig.add(usbPortsConfigItem);
    return this;
  }

  /**
   * USB LTE ports config
   * @return usbPortsConfig
  */
  @ApiModelProperty(value = "USB LTE ports config")

  @Valid

  public List<UsbLteSettingConfigOpenApiVo> getUsbPortsConfig() {
    return usbPortsConfig;
  }

  public void setUsbPortsConfig(List<UsbLteSettingConfigOpenApiVo> usbPortsConfig) {
    this.usbPortsConfig = usbPortsConfig;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WanSettingConfigOpenApiVo wanSettingConfigOpenApiVo = (WanSettingConfigOpenApiVo) o;
    return Objects.equals(this.wanPortsConfig, wanSettingConfigOpenApiVo.wanPortsConfig) &&
        Objects.equals(this.usbPortsConfig, wanSettingConfigOpenApiVo.usbPortsConfig);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wanPortsConfig, usbPortsConfig);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WanSettingConfigOpenApiVo {\n");
    
    sb.append("    wanPortsConfig: ").append(toIndentedString(wanPortsConfig)).append("\n");
    sb.append("    usbPortsConfig: ").append(toIndentedString(usbPortsConfig)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

